summaryrefslogtreecommitdiff
path: root/curvetun/nacl_path.sh
diff options
context:
space:
mode:
Diffstat (limited to 'curvetun/nacl_path.sh')
-rwxr-xr-xcurvetun/nacl_path.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/curvetun/nacl_path.sh b/curvetun/nacl_path.sh
new file mode 100755
index 0000000..1afc6d2
--- /dev/null
+++ b/curvetun/nacl_path.sh
@@ -0,0 +1,18 @@
+#!/bin/bash
+
+# netsniff-ng - the packet sniffing beast
+# By Emmanuel Roullit <emmanuel@netsniff-ng.org>
+# Copyright 2009, 2011 Emmanuel Roullit.
+# Subject to the GPL, version 2.
+
+nacl_include_path="$1"
+nacl_lib_path="$2"
+
+if test -z $nacl_include_path || test -z $nacl_lib_path; then
+ echo "Please input the path where NaCl is like the following:"
+ echo "./$0.sh <include_path> <lib_path>"
+ exit 1
+fi
+
+echo "export NACL_INC_DIR=$nacl_include_path" >> ~/.bashrc
+echo "export NACL_LIB_DIR=$nacl_lib_path" >> ~/.bashrc